#pragma once
#include "afxcmn.h"
#include "DevSearchDlg.h"
// CDeviceAttribute 对话框

class CDeviceAttribute : public CDialog
{
	DECLARE_DYNAMIC(CDeviceAttribute)

public:
	CDeviceAttribute(IPC* IPCInfo, CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CDeviceAttribute();

// 对话框数据
	enum { IDD = IDD_DLG_ATTRIBUTE };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
private:
	CWnd* m_pParent;
	HWND m_hWndPar;
	IPC m_IPCInfo;
	CIPAddressCtrl m_ctlIP;
	CIPAddressCtrl m_ctlMask;
	CIPAddressCtrl m_ctlGateway;
	CIPAddressCtrl m_ctlDNS1;
	CIPAddressCtrl m_ctlDNS2;
	afx_msg void OnBnClickedBtnAutoget();
	afx_msg void OnBnClickedBtnModify();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
};
